Generic value editor depends on type:

- `text`, `textarea`, `rich-textarea`: textValueEditor
- `number`: numberValueEditor

## Dependencies

- ngModel.NgModelController

## Usage

    <kp-value-editor
        editor-id="string"
        name="string"
        placeholder="string"
        type="string"
        disabled="boolean"
        visible="boolean"
        validations="ValueEditorValidations"
        options="ValueEditorOptions"
        status="ng.type.ngModel.NgModelController">
    </kp-value-editor>

### Arguments

Param | Type | Details
--- | --- | ---
editorId | String | Input id.
name | String | Input name.
placeholder | String | Placeholder.
type | String | ValueEditor type. <.
disabled | Boolean | If input is disabled. <.
visible | Boolean | If input is visible. <.
validations | ValueEditorValidations | ValueEditor validations. <.
options | ValueEditorOptions | ValueEditor options. Type depends on ValueEditor type.
status | ngModel.NgModelController | Status of input.